Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.sitemesh
[Java] Class GrailsHTMLPageParser

    java.lang.Object
      com.opensymphony.module.sitemesh.parser.HTMLPageParser
          org.codehaus.groovy.grails.web.sitemesh.GrailsHTMLPageParser

    public class GrailsHTMLPageParser
    extends com.opensymphony.module.sitemesh.parser.HTMLPageParser

Method Summary
`protected void` | `addUserDefinedRules(com.opensymphony.module.sitemesh.html.State html, com.opensymphony.module.sitemesh.html.rules.PageBuilder page)`
`com.opensymphony.module.sitemesh.Page` | `parse(char[] data)`

Methods inherited from class com.opensymphony.module.sitemesh.parser.HTMLPageParser
com.opensymphony.module.sitemesh.parser.HTMLPageParser#parse([C), com.opensymphony.module.sitemesh.parser.HTMLPageParser#wait(long, int), com.opensymphony.module.sitemesh.parser.HTMLPageParser#wait(long), com.opensymphony.module.sitemesh.parser.HTMLPageParser#wait(), com.opensymphony.module.sitemesh.parser.HTMLPageParser#equals(java.lang.Object), com.opensymphony.module.sitemesh.parser.HTMLPageParser#toString(), com.opensymphony.module.sitemesh.parser.HTMLPageParser#hashCode(), com.opensymphony.module.sitemesh.parser.HTMLPageParser#getClass(), com.opensymphony.module.sitemesh.parser.HTMLPageParser#notify(), com.opensymphony.module.sitemesh.parser.HTMLPageParser#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### addUserDefinedRules

    @java.lang.Override
    protected void addUserDefinedRules(com.opensymphony.module.sitemesh.html.State html, com.opensymphony.module.sitemesh.html.rules.PageBuilder page)

### parse

    @java.lang.Override
    public com.opensymphony.module.sitemesh.Page parse(char[] data)

Groovy Documentation